// Jean Luc Biellmann - contact@alsatux.com

"use strict";

var _TabMenu = {
	init: function () {
		_DOM.listen('menu_prev_year', 'click',_TabMenu.slot.click_prev_year);
		_DOM.listen('menu_next_year', 'click',_TabMenu.slot.click_next_year);
		_DOM.listen('menu_goto_today', 'click',_TabMenu.slot.click_today);
	},
	slot: {
		click_prev_year: function (e) {
			return _Lock.action_with_spinner(e, function (e) {
				_TabCal.current_year--;
				_TabCal.redraw();
			});
		},
		click_next_year: function (e) {
			return _Lock.action_with_spinner(e, function (e) {
				_TabCal.current_year++;
				_TabCal.redraw();
			});
		},
		click_today: function (e) {
			return _Lock.action_with_spinner(e, function (e) {
				var now = new Date();
				if (_TabCal.current_year!=now.getFullYear()) {
					_TabCal.current_year = now.getFullYear();
					_TabCal.redraw();
				}
				_TabMenu.scroll_today();
			});
		}
	},
	scroll_today: function () {
		var now = new Date();
		var div_now = _DOM.id('day_' + now.toYYYYMMDD('-'));
		_DOM.id('cal').scrollTop = div_now.offsetTop;
	}
};

